﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function NextCore()
		SetDataFolder root:
			String/G G_DataFldr, G_Data, G_DataAge
		SetDataFolder $G_DataFldr
			String Data = G_Data, DataAge = G_DataAge
			String DataWaves = WaveList( "*" + ThirdPart( G_Data ), ";", "" )
			String AgeWaves = WaveList( "*" + ThirdPart( G_DataAge ), ";", "" )
			Prompt Data, "Select Data Wave:", popup, DataWaves
			Prompt DataAge, "Select Age Wave:", popup, AgeWaves
			DoPrompt "NextCore", Data, DataAge
			G_Data = Data; G_DataAge = DataAge
			AbortOnValue V_Flag, 0
			If( !StringMatch( Firstpart( Data ), FirstPart( DataAge ) ) )
				ABORT "Data are from " + Firstpart( Data ) + " and Ages are from " + FirstPart( DataAge ) 
			Endif
			If( StrSearch( TraceNameList( "", ";", 0 + 1 ), Data, 0 ) >= 0 )
				ABORT Data + " is already plotted."
			EndIf
			WAVE DataWv = $Data
			WAVE DataAgeWv = $DataAge
			AppendToGraph/L=DataAxis DataWv vs DataAgeWv
			ModifyGraph lsize = 2	
		SetDataFolder root:	
	End	