﻿#pragma TextEncoding = "UTF-8"		// For details execute DisplayHelpTopic "The TextEncoding Pragma"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function Plot_Splice_Lines( )
		SetDataFolder root:
			String/G G_Site
			String  Site = G_Site, WvList, Splice, Hole, Instance
			Variable i = 0, j = 0
			PauseUpdate;
			Prompt Site, "Site"
			DoPrompt "Plot_Splice_Lines", Site
			G_Site = Site
			Plot_Splice_Lines_F( Site )
			Print "Plot_Splice_Lines_F( \"" + Site + "\" )"
	End
	
	****************************************************************
	
	Function Plot_Splice_Lines_F( Site )
			String Site
		SetDataFolder root:
			String WvList, Splice, Hole, Instance
			Variable i = 0, j = 0
			PauseUpdate;
		SetDataFolder $Site + "_Splice_Lines"
			WvList = WaveList( "*Top", ";", "WIN:" )
			WAVE Splice_Point_Value
			If( StrLen( WvList ) )
			SetDataFolder root:
				ABORT "Splice Lines Already Plotted. Remove Old Lines Before Plotting New"
			EndIf
			WvList = WaveList( "!*Value", ";", "" )
			For( i = 0; i < ItemsInList( WvList ); i += 1 )
				Splice = StringFromList( i, WvList )
				WaveStats/Q $Splice
				If( V_Npnts > 0 )
					If( !StrSearch( Splice, Site + "_", 0 ) )
					Else
						Hole = Splice[ 0, ( StrSearch( Splice, "_", 0 ) - 1 ) ]
						If  (j == 0 )
							Instance = "Splice_Point_Value"
						Else
							Instance = "Splice_Point_Value#" + Num2Str( j )
						EndIf
						AppendToGraph/B = DepthAxis/L= $Hole Splice_Point_Value vs $Splice
//						AppendToGraph/L= $Hole Splice_Point_Value vs $Splice
						ModifyGraph mode( $Instance )=1, lsize( $Instance ) = 2
						If(( StrSearch( Splice, "Bottom" , 0 ) ) < 0 )
							ModifyGraph rgb( $Instance ) = ( 65535, 65535, 0 )
						EndIf
						j += 1
					EndIf
				EndIf		
			EndFor
		SetDataFolder root:
	End
	
	****************************************************************
