#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function/S S_Csr_Site( Csr )
		String Csr
		String S_Site
		If(	StringMatch( Csr, "A" ) )
			If( StrSearch( CsrWave( A ), "Splice", 0, 2 ) + 1 )
				S_Site = S_Csr_Hole( "A" ) 
			Else
				S_Site = RemoveEnding( S_Csr_Hole( "A" ) )	
			EndIf
		Endif
		If(	StringMatch( Csr, "B" ) )
			If( StrSearch( CsrWave( B ), "Splice", 0, 2 ) + 1 )
				S_Site = S_Csr_Hole ("B" )
			Else
				S_Site = RemoveEnding( S_Csr_Hole( "B" ) )	
			EndIf
		EndIf
		Return S_Site
	End
		
	****************************************************************
	
	Function/S S_Csr_Hole(Csr)
		String Csr
		String S_Hole
		Variable FirstU, SecondU
		If(	StringMatch( Csr, "A" ) )
			If( ( StrSearch( CsrWave( A ), "S2_", 0, 2 ) + 1 ) )
				FirstU = StrSearch( CsrWave( a ), "_", 0 )						
				SecondU = StrSearch( CsrWave( a ) ,"_", FirstU+1 )			
				S_Hole = CsrWave( a )[ FirstU+1, SecondU-1 ]	
			Else
				FirstU = StrSearch( CsrWave(a), "_", 0 )  
				S_Hole = CsrWave( a )[ 0, FirstU-1 ]
			EndIf
		Else
			If( ( StrSearch( CsrWave( B ), "S2_", 0, 2 ) + 1 ) )
				FirstU = StrSearch( CsrWave( b ), "_", 0 )						
				SecondU = StrSearch( CsrWave( b ), "_", FirstU+1 )		
				S_Hole = CsrWave( b )[ FirstU+1, SecondU-1 ]	
			Else
				FirstU = StrSearch( CsrWave( b ), "_", 0 )  
				S_Hole = CsrWave( b )[ 0, FirstU-1 ]
			EndIf
		EndIf	
		Return S_Hole
	End
	
	****************************************************************
	
	Function/S S_Csr_Technique( Csr )
		String Csr
		String S_Technique
		Variable FirstU, SecondU, ThirdU
		If(	StringMatch( Csr,"A" ) )
			If( DimSize( CsrWaveRef( a ), 1 ) )
				ABORT "Cursor " + Csr + " is on an image not a wave"
			Else
				FirstU = StrSearch( CsrWave( a ), "_", 0 ) 
				SecondU = StrSearch( CsrWave( a ), "_", FirstU + 1 )	
				ThirdU = StrSearch( CsrWave( a ), "_", SecondU + 1 )	
				If( StrSearch( CsrWave( A ), "Splice", 0, 2 ) + 1 )
					S_Technique = CsrWave( a )[ SecondU + 1, ThirdU - 1 ]
				Else
					S_Technique = CsrWave( a )[ FirstU + 1, SecondU - 1 ]
				EndIf
			EndIf
		Else
			If( DimSize( CsrWaveRef( b ), 1 ) )
				ABORT "Cursor "+ Csr + " is on an image not a wave"
			Else
				FirstU = StrSearch( CsrWave( b ), "_", 0 )
				SecondU = StrSearch( CsrWave( b ), "_", FirstU + 1 )	
				ThirdU = StrSearch( CsrWave( b ), "_", SecondU + 1 )	
				If( StrSearch( CsrWave( A ), "Splice", 0, 2 ) + 1 )
					S_Technique = CsrWave( b )[ SecondU + 1, ThirdU - 1 ]
				Else
					S_Technique = CsrWave( b )[ FirstU + 1, SecondU - 1 ]
				EndIf
			EndIf
		EndIf
		Return S_Technique
	End

	****************************************************************
	
	Function V_Csr_Core( Csr )  // Still not working properly
		String Csr
		Variable FirstU, SecondU, V_Core
		String S1
		SetDataFolder root:
		If(	StringMatch( Csr, "a" ) )
			If( DimSize( CsrWaveRef( a ), 1 ) )
				FirstU = StrSearch( CsrWave( a ), "_", 0 )		
				SecondU = StrSearch( CsrWave( a ), "_", FirstU + 1 )	
				V_Core = Str2Num( CsrWave( a )[ SecondU + 1, SecondU + 3 ] )
			Else
			SetDataFolder $"root:" + S_Csr_Site( "a" ) + "_" + S_Csr_Technique( "a" )
				S1 = S_Csr_Hole( "a" ) + "_" + S_Csr_Technique( "a" ) + "_Core"
				Wave W1 = $S1
				V_Core = W1[ pcsr( a ) ]
			EndIf
		Else
			If( DimSize( CsrWaveRef( b ), 1 ) )
				FirstU = StrSearch( CsrWave( b ), "_", 0 )		
				SecondU = StrSearch( CsrWave( b ), "_", FirstU + 1 )	
				V_Core = Str2Num( CsrWave( b )[ SecondU + 1, SecondU + 3 ] )
			Else
			SetDataFolder $"root:" + S_Csr_Site( "b" ) + "_" + S_Csr_Technique( "b" )
				S1 = S_Csr_Hole( "b" ) + "_" + S_Csr_Technique( "b" ) + "_Core"
				Wave W1 = $S1
				V_Core = W1[ pcsr( b ) ]
			EndIf
		EndIf
		SetDataFolder root:
		Return V_Core
	End
