#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	

	Function Save_Cursor_Positions()  // Records X positions of cursors A,B,C,D as global variables
		SetDataFolder root:
			Variable/G G_CsrA_Position, G_CsrB_Position
			Variable/G G_CsrC_Position, G_CsrD_Position
			G_CsrA_Position = HCsr(A); G_CsrB_Position = HCsr(B); 
			G_CsrC_Position = HCsr(C); G_CsrD_Position = HCsr(D)
	End
	
	---------------------------------------------------------------------------------------------------
	
	Function Cursors_2_Saved_Positions()
		SetDataFolder root:
			Variable/G G_CsrA_Position, G_CsrB_Position
			Variable/G G_CsrC_Position, G_CsrD_Position	
			If( StrLen( CsrWave( A ) ) )
				If( Dimsize( CsrWaveRef( A ), 1 ) )
					Cursor/I A $CsrWave( A ) G_CsrA_Position, 0.5
				Else
					FindLevel/Q CsrXWaveRef( A ), G_CsrA_Position
					Cursor A $CsrWave( A )  V_LevelX
				EndIf
			EndIf
	
			If( StrLen( CsrWave( B) ) )
				if( Dimsize( CsrWaveRef( B ), 1 ) )
					Cursor/I B $CsrWave( B ) G_CsrB_Position, 0.5
				Else
					FindLevel/Q CsrXWaveRef( B ), G_CsrB_Position
					Cursor B $CsrWave( B )  V_LevelX
				EndIf
			EndIf
	
			If( StrLen( CsrWave( C ) ) )
				If( Dimsize( CsrWaveRef( C ), 1 ) )
					Cursor/I C $CsrWave( C ) G_CsrC_Position, 0.5
				Else
					FindLevel/Q CsrXWaveRef( C ), G_CsrC_Position
					Cursor C $CsrWave( C )  V_LevelX
				EndIf
			EndIf
	
			If( StrLen( CsrWave( D ) ) )
				If( Dimsize( CsrWaveRef( D ), 1 ) )
					Cursor/I D $CsrWave( D ) G_CsrD_Position, 0.5
				Else
					FindLevel/Q CsrXWaveRef( D ), G_CsrD_Position
					Cursor D $CsrWave( D )  V_LevelX
				EndIf
			EndIf
	End