#pragma rtGlobals=3		// Use modern global access method and strict wave access.



*******************************************************************************************************
	
	Function TuningData2Age( )
		SetDataFolder root:
			String/G G_DFolder, G_TFolder, G_DataWv, G_DataDepthWv
			String DFolder = G_DFolder, TFolder = G_TFolder
			String DataWv = G_DataWv, DataDepthWv = G_DataDepthWv
			WAVE AgeTies, DepthTies
			Prompt DFolder, "Data Folder", popup, FolderList( "*" )
			DoPrompt "Data2Age", DFolder; AbortOnValue V_Flag, 0
		SetDataFolder "root:" + DFolder
			Prompt DataWv "Data Wave", popup, WaveList( "*", ";", "" )
			Prompt DataDepthWv "Data Depth Wave", popup, WaveList( "*", ";", "" )
			DoPrompt "Data2Age" DataWv, DataDepthWv; AbortOnValue V_Flag, 0
			G_DataWv = DataWv, G_DataDepthWv = DataDepthWv, G_DFolder = DFolder
		SetDataFolder root:
			TuningData2Age_F( DFolder, DataWv, DataDepthWv )			
	End
	
	
*******************************************************************************************************
	
	Function TuningData2Age_F( DFolder, DataWv, DataDepthWv )
		String DFolder, DataWv, DataDepthWv
		SetDataFolder root:			
			WAVE AgeTies, DepthTies
		SetDataFolder "root:" + DFolder
			Wave DWv = $DataWv, DDepthWv = $DataDepthWv
			String DataAge = DataWaveHole( DataWv ) + "_" + DataWaveTechnique( DataWv ) + "_Age"
			Duplicate/O DWv $DataAge
			WAVE DAge = $DataAge
		SetDataFolder root:
			DAge = interp( DDepthWv, DepthTies, AgeTies )
			WaveStats/Q DAge
			DAge = DAge > V_Max ? NaN : DAge				
			TuningSedRateCalc( )
	End
