#pragma rtGlobals=3		// Use modern global access method and strict wave access.



*******************************************************************************************************
	
	Function TuningSedRateCalc( )
		SetDataFolder root:
			WAVE AgeTies, DepthTies
			Variable i
		NewDataFolder/O/S SedRateData
			Make/O/N = ( NumPnts( AgeTies ) -1 ) SedRate			
			For( i = 0; i < NumPnts( AgeTies ) - 1; i += 1 )	
				SedRate[ i ] = (( DepthTies[ i + 1 ] - DepthTies[ i ] ) / ( AgeTies[ i + 1 ] - AgeTies[ i ] )) //added / ( AgeTies[ i + 1 ] - AgeTies[ i ] ) to the SedRate calculation
			EndFor
			
			Make/O/N = ( ( NumPnts( AgeTies ) - 1 ) *  2 ) SRPoints, DepthPoints
			DepthPoints = NaN; SRPoints = NaN
			DepthPoints[ 0 ] = DepthTies[ 0 ]
			For( i = 1; i < NumPnts( AgeTies ) - 1; i += 1 )
				DepthPoints[ ( i * 2 ) - 1, ( i * 2 ) ] = DepthTies[ i ]			
			EndFor	
			DepthPoints[ NumPnts( DepthPoints ) -1 ] = DepthTies[ NumPnts( AgeTies ) - 1 ]
			For( i = 0; i < NumPnts( SRPoints ) - 1; i += 2 )
				SRPoints[ i,  i  + 1 ] = SedRate[ i / 2 ]			
			EndFor					
		SetDataFolder root:
	End

//Function TuningSedRateCalc( ) //original backup
		SetDataFolder root:
			WAVE AgeTies, DepthTies
			Variable i
		NewDataFolder/O/S SedRateData
			Make/O/N = ( NumPnts( AgeTies ) -1 ) SedRate			
			For( i = 0; i < NumPnts( AgeTies ) - 1; i += 1 )	
				SedRate[ i ] = ( DepthTies[ i + 1 ] - DepthTies[ i ] )
			EndFor
			
			Make/O/N = ( ( NumPnts( AgeTies ) - 1 ) *  2 ) SRPoints, DepthPoints
			DepthPoints = NaN; SRPoints = NaN
			DepthPoints[ 0 ] = DepthTies[ 0 ]
			For( i = 1; i < NumPnts( AgeTies ) - 1; i += 1 )
				DepthPoints[ ( i * 2 ) - 1, ( i * 2 ) ] = DepthTies[ i ]			
			EndFor	
			DepthPoints[ NumPnts( DepthPoints ) -1 ] = DepthTies[ NumPnts( AgeTies ) - 1 ]
			For( i = 0; i < NumPnts( SRPoints ) - 1; i += 2 )
				SRPoints[ i,  i  + 1 ] = SedRate[ i / 2 ]			
			EndFor					
		SetDataFolder root:
	End

----------------------------------------------------------------------------
	
	Function SedRateGraph( )
		SetDataFolder $"root:SedrateData"
			WAVE SRPoints, DepthPoints
			Display /W=(536,694,1988,976) SRPoints vs DepthPoints as "Sedimentation Rate"
			ModifyGraph lsize=3
			Label left "Sedimentation Rate ( m/Ma)";DelayUpdate
			Label bottom "Depth (m)"
			ShowInfo
		SetDataFolder root:
	End
