#pragma rtGlobals=1		// Use modern global access method.

	Menu "CODD_Image"
		SubMenu "Plotting"
			"CoreImage_MultiPlot"
			"Append_Selected_Core_Images"
//			"Append_Core_Images"
			"AppendImages"
			"Append_Spliced_Image"
			"Calculate_Splice_Lines"
			"Plot_Splice_Lines"
			"Add_CoreTags",/Q
			"Remove_CoreTags",/Q
			"Change_XAxis_Range/O5",/Q
			"AgeorDepthAxisRange/5"
		End
		SubMenu "Processing"
			"ProcessOffsets"
			"Add_Offsets_2_Matrix",/Q
			"Image_CSF_2_CCSF",/Q
			"Image_CCSF_2_CSF",/Q
//			"Splice_Images"
			"SpliceImages"
			"SingleHoleImage"
			"Calculate_Splice_Lines"
			"Line_Profiles"
//			"CreateHoleCoreImageProfiles"
			"RGB_Split"
			"Change_Lightness"
			"Batch_Change_Lightness"
			"Image_Trim"
			"Select_Offsets"
			"Select_Splice_Ties"
			"Select_Splice_Intervals"
		End
		SubMenu "Depth_To_Age"
			"ImageDepth2Age"
			"AgeDataSelection"
			"AgeDepthFit"
			"AgeDepthReFit"		
			"SetWeights"
			"Weight_0"
			"CalculateAgeTicks"
			"AddAge2DepthPlot"
			"RemoveAgeTicks"
		End
		SubMenu "External_InOut"
			 "Load_Shared_Folder"
			 "Load_Shared_Data"
			 "Share_Single_Wave"
			 "Save_Waves_2_External_Folder"
		End
//		SubMenu "Image_Masking"
//			"MarkDisturbance"
//			"MaskCoreImages"
//			"RestoreFullImage"
//		End
		"Splice_Tie_Table"
		"Splice_Interval_Table"
		"Save_Cursor_Positions"
		"Cursors_2_Saved_Positions"
		SubMenu "Splice_Format_Conversion"
			"Splice_Tie_Data_2_Intervals"
			"Splice_Interval_Data_2_Ties"
		End
	End

#include "AddAge2DepthPlot"
#include "Add_Offsets_2_Matrix"
#include "Add_CoreTags"
#include "Adjust_Brightness"
#include "AgeDepthFit"
#include "Append_Core_Images"
#include 	"AppendImages2"
#include "CalculateAgeTicks"
#include "Calculate_Splice_Lines"
#include "Change_Lightness"
#include "CheckImages4Splicing"
#include "Check4DoubleUnderscoresInNames"
#include "CheckOffsets_CoreNumbers"
#include "CoreImage_MultiPlot"
#include "CreateHoleCoreImageProfiles"
#Include "Depth_2_Age"
#include "FolderList"
#include "Image_CSF_2_CCSF_2_CSF"
#include "Image_Trim"
#include "ImageProfile_F"
#include "Line_Profiles"
#include "Plot_Splice_Lines"
#include "ProcessOffsets"
#include "RGB_Split"
#include "Select_Offsets"
#include 	"Select_Splice_Ties"
#include 	"Select_Splice_Intervals"
#include 	"SingleHoleImage"
#include "Splice_Images"
#include "SpliceImages"
#include "Splice_Table_Templates"
#include "Splice_Data_Conversion"
#include "Splice_Interval_Functions"