﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.



	Function SelectXYLevels() // Used to change to a different set of levels based on the mnumber of sections in the image
		SetDataFolder root:CoreTableGrids
			String/G G_Folder
			String Folder = G_Folder
			Prompt Folder, "Select Folder with X and Y Levels:", popup, SortList( FolderList( "*" ) )
			DoPrompt "SelectXYLevels", Folder
			G_Folder = Folder
			AbortOnValue V_Flag, 0
			RemoveFromGraph/Z WaveY // Remove the points from the graph
		SetDataFolder $Folder
			WAVE XLevels, YLevels
			Duplicate/O XLevels Root:XLevels // Overwrite the XLevels and YLevels in root:
			Duplicate/O YLevels Root:YLevels
		SetDataFolder root:
			CalcPoints4SurfaceFit() // Recalculate the position of the measurement points
			WAVE WaveX, WaveY
			AppendTograph WaveY vs WaveX // Replot the points
			ModifyGraph mode=3,msize=6,mrkThick=2
	End