#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function returns a list of data folders separated by semicolons . It needs a string
// argument. ex:  FolderList("K_"). Use "*" for all data folders.

	Function/S FolderList( Filter )
		String Filter
		String FolderName, List = ""
		String Folders = DataFolderDir( 1 )
		Folders = Folders[ 8, StrLen( Folders ) - 2 ]
		Folders = RemoveEnding( Folders )
		Variable i
		For( i = 0; i < ItemsInList( Folders, "," ); i += 1 )
			FolderName = StringFromList( i, Folders, "," )
			If( !CmpStr( Filter, "*" ) )
				List = List + FolderName + ";"
			ElseIf( StrSearch( FolderName, Filter, 0 ) >= 0 )
				List = List + FolderName + ";"
			EndIf
		EndFor
		Return List
	End


//	Function/S FolderList( S4 )
		String S4
		String S1 = DataFolderDir( 1 ), S2, S3 = ""
		Variable i=0
		S1 = S1[ 8, strlen( S1 ) ]
		Do
			S2 = stringfromlist( i, S1, "," )
			If( StrLen( S2 ) < 1 )
				Break;
			EndIf
			If( !CmpStr( S4, "*" ) )
				S3 = S3 + S2 + ";"
			ElseIf( StrSearch( S2, S4, 0 )>= 0 )
				S3 = S3 + S2 + ";"
			EndIf
			i += 1
		While( 1 )
		Return S3
	End