﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function S2_2_S3_BatchSizeReduction()
		SetDataFolder root:
			Variable/G G_XReduction, G_YReduction
			Variable i, XReduction = G_XReduction, YReduction = G_YReduction
			String/G G_FolderIn
			String FolderIn = G_FolderIn, FolderOut, ImageList, ImageWv, NewImageWv
			Prompt FolderIn, "Select Image Folder", popup, FolderList( "_S2" )
			Prompt XReduction, "X Reduction factor ( e.g. .5,.25, etc )"
			Prompt YReduction, "Y Reduction factor ( e.g. .5,.25, etc )"
			DoPrompt "S2_2_S3_BatchSizeReduction", FolderIn, XReduction, YReduction
			G_FolderIn = FolderIn; G_XReduction = XReduction; G_YReduction = YReduction
			AbortOnValue V_Flag, 0
			FolderOut = ReplaceString( "_S2", FolderIn, "_S3" )
		NewDataFolder/O $FolderOut
		SetDataFolder $FolderIn
			ImageList = WaveList( "S2*", ";", "DIMS:3" )
			For( i = 0; i < ItemsInList( ImageList ); i += 1 )
				ImageWv = StringFromList( i, ImageList )
				NewImageWv = "root:" + FolderOut + ":" + ReplaceString( "S2_", ImageWv, "S3_" )
				ImageSizeReduction_F( ImageWv, NewImageWv,  XReduction  ,  YReduction   )
			EndFor
		SetDataFolder root:
			
			
			
	End