﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function SRM_LoadOrientation()
		SetDataFolder root:
			String/G G_Hole
			String Hole = G_Hole
			Prompt Hole, "Hole"
			DoPrompt "SRM_LoadOrientation", Hole
			G_Hole = Hole
			AbortOnValue V_Flag, 0
			SRM_LoadOrientation_F( Hole )
			Print "SRM_LoadOrientation_F( " + Hole + " )"
	End

------------------------------------------------------------

	Function SRM_LoadOrientation_F( Hole )
		String Hole		
		SetDataFolder root:
			String Site = RemoveEnding( Hole )
		NewDataFolder/O/S $Site + "_Orientation"
			LoadWave/K = 0/J/N = SRM 
			WAVE SRM1, SRM2, SRM3, SRM4, SRM5, SRM6, SRM7, SRM8, SRM9, SRM10
			WAVE SRM11, SRM12, SRM13, SRM14, SRM15, SRM16
			Duplicate/O SRM1, $Hole + "_Orientation_Site"
			Duplicate/O SRM2, $Hole + "_Orientation_Hole"
			Duplicate/O SRM3, $Hole + "_Orientation_Core"
			Duplicate/O SRM4, $Hole + "_Orientation_Type"
			Duplicate/O SRM5, $Hole + "_Orientation_CSF"
			Duplicate/O SRM6, $Hole + "_Orientation_Hx"
			Duplicate/O SRM7, $Hole + "_Orientation_Hv"
			Duplicate/O SRM8, $Hole + "_Orientation_Azimuth"
			Duplicate/O SRM9, $Hole + "_Orientation_Dip"
			Duplicate/O SRM10, $Hole + "_Orientation_GravFld"
			Duplicate/O SRM11, $Hole + "_Orientation_MagDip"
			Duplicate/O SRM12, $Hole + "_Orientation_TotFld"
			Duplicate/O SRM13, $Hole + "_Orientation_MagToolFace"
			Duplicate/O SRM14, $Hole + "_Orientation_Temp"
			Duplicate/O SRM15, $Hole + "_Orientation_Instrument"
			Duplicate/O SRM16, $Hole + "_Orientation_Comments"
			EXECUTE "KillWaves/Z " + WaveList( "SRM*", ",", "" )
		SetDataFolder root:	
	End

--------------------------------------------------------------------------------
	