﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function AppendFreqPicks( )
		SetDataFolder root:
			String/G G_Pick, G_DepthWave
			String Pick = G_Pick, DepthWave = G_DepthWave
		SetDataFolder :Pick_Traces_All_Periods			
			Prompt Pick, "Choose Curve to Add to NMatrix", popup, WaveList( "Freq_Pick*", ";", "" )
			Prompt DepthWave, "Choose Depth Wave", popup, WaveList( "*CCSF", ";", "" )
			DoPrompt "AppendFreqPicks", Pick, DepthWave; AbortOnValue V_Flag, 0
			G_Pick = Pick; G_DepthWave = DepthWave		
			AppendFreqPicks_F( Pick, DepthWave )
			Print "AppendFreqPicks_F( \"" + Pick + "\", \"" + DepthWave + "\" )"
		SetDataFolder root:
	End

	Function AppendFreqPicks_F( Pick, DepthWave )
		String Pick, DepthWave
		SetDataFolder root:
		SetDataFolder :Pick_Traces_All_Periods			
			WAVE PickWv = $Pick, DepthWv = $DepthWave
			DoWindow/F NormAmp
			AppendToGraph DepthWv vs PickWv
			String PickList = TraceNameList( "", ";", 1 )
			String LastPlotted = StringFromList( ItemsInList( PickList ) - 1, PickList )
			Tag/C /N = $Pick /F = 0 /P = 1 /X = 0 /Y=0 $LastPlotted, 500, Pick[ 5, inf ]
			ModifyGraph lsize($LastPlotted)=3,rgb($LastPlotted)=(0,0,0)
		SetDataFolder root:
	End
